Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  abstract class Statics extends SubComponent with Transform with TreeDSL
  Definition Classes
    transform
- CODE
- Phase
- StaticsTransformer
- StdPhase

t

scala.tools.nsc.transform.Statics

# StaticsTransformer

###

#### trait StaticsTransformer extends Global.AstTransformer

Source
  Statics.scala

Linear Supertypes
Global.Transformer, Global.InternalTransformer, Global.Transformer, AnyRef, Any
Known Subclasses
CleanUpTransformer
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. StaticsTransformer
2. Transformer
3. InternalTransformer
4. Transformer
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from StaticsTransformer toany2stringadd[StaticsTransformer] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (StaticsTransformer, B)
   Implicit
     This member is added by an implicit conversion from StaticsTransformer toArrowAssoc[StaticsTransformer] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def atOwner[A](owner: Global.Symbol)(trans: => A): A
   Definition Classes
     Transformer
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def currentClass: Global.Symbol
   Attributes
     protected
   Definition Classes
     Transformer
10.  def currentMethod: Global.Symbol
    Attributes
      protected
    Definition Classes
      Transformer
11.  var currentOwner: Global.Symbol
    Attributes
      protected[scala]
    Definition Classes
      Transformer
12.  def ensuring(cond: (StaticsTransformer) => Boolean, msg: => Any): StaticsTransformer
    Implicit
      This member is added by an implicit conversion from StaticsTransformer toEnsuring[StaticsTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (StaticsTransformer) => Boolean): StaticsTransformer
    Implicit
      This member is added by an implicit conversion from StaticsTransformer toEnsuring[StaticsTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: => Any): StaticsTransformer
    Implicit
      This member is added by an implicit conversion from StaticsTransformer toEnsuring[StaticsTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): StaticsTransformer
    Implicit
      This member is added by an implicit conversion from StaticsTransformer toEnsuring[StaticsTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from StaticsTransformer toStringFormat[StaticsTransformer] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  def staticConstructor(body: List[Global.Tree], localTyper: (analyzer)#Typer, pos: Global.Position)(newStaticInits: List[Global.Tree]): Global.Tree

    generate a static constructor with symbol fields inits, or an augmented existing static ctor

27.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  def transform(tree: Global.Tree): Global.Tree
    Definition Classes
      InternalTransformer → Transformer
30.  def transformCaseDefs(trees: List[Global.CaseDef]): List[Global.CaseDef]
    Definition Classes
      Transformer
31.  def transformIdents(trees: List[Global.Ident]): List[Global.Ident]
    Definition Classes
      Transformer
32.  def transformMemberDefs(trees: List[Global.MemberDef]): List[Global.MemberDef]
    Definition Classes
      Transformer
33.  def transformModifiers(mods: Global.Modifiers): Global.Modifiers
    Definition Classes
      Transformer
34.  def transformStats(stats: List[Global.Tree], exprOwner: Global.Symbol): List[Global.Tree]
    Definition Classes
      Transformer
35.  def transformTemplate(tree: Global.Template): Global.Template
    Definition Classes
      Transformer
36.  def transformTrees(trees: List[Global.Tree]): List[Global.Tree]
    Definition Classes
      Transformer
37.  def transformTypeDefs(trees: List[Global.TypeDef]): List[Global.TypeDef]
    Definition Classes
      Transformer
38.  def transformUnit(unit: Global.CompilationUnit): Unit
    Definition Classes
      Transformer
39.  def transformValDef(tree: Global.ValDef): Global.ValDef
    Definition Classes
      Transformer
40.  def transformValDefs(trees: List[Global.ValDef]): List[Global.ValDef]
    Definition Classes
      Transformer
41.  def transformValDefss(treess: List[List[Global.ValDef]]): List[List[Global.ValDef]]
    Definition Classes
      Transformer
42.  val treeCopy: Global.TreeCopier
    Definition Classes
      Transformer
43.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
44.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
45.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (StaticsTransformer, B)
   Implicit
     This member is added by an implicit conversion from StaticsTransformer toArrowAssoc[StaticsTransformer] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from Global.Transformer

### Inherited from Global.InternalTransformer

### Inherited from Global.Transformer

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromStaticsTransformer to any2stringadd[StaticsTransformer]

### Inherited by implicit conversion StringFormat fromStaticsTransformer to StringFormat[StaticsTransformer]

### Inherited by implicit conversion Ensuring fromStaticsTransformer to Ensuring[StaticsTransformer]

### Inherited by implicit conversion ArrowAssoc fromStaticsTransformer to ArrowAssoc[StaticsTransformer]

### Ungrouped